/*
GPIO obsaahhuje brany a piny jednotlivych bran, takze kdyz chcem nastavit pin PB0 HIGH
tak je prikaz GPIO(GPIOB, GPIO_PIN_0, 1)
cisty call na registr by byl
GPIOB->BSRR |= 1 << 0;
*/

//STM32F4
void GPIO(GPIO_TypeDef* GPIOx, uint16_t pin, uint8_t state){
    if(state == 0){
        GPIOx->BSRR = (uint32_t)pin << 16U;
    }
    else{
        GPIOx->BSRR = pin;
}

//STM32F0
void GPIO(GPIO_TypeDef* GPIOx, uint16_t pin, uint8_t state){
    if(state == 0){
        GPIOx->BRR = pin;
    }
    else{
        GPIOx->BSRR = pin;
}